package StructuralClass;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class EventValidateInfo extends JceStruct {
    public String businessId;
    public long endTime;
    public int eventType;
    public long frequency;
    public int maxExposeCount;
    public String reportKey;
    public String reportParams;
    public long startTime;
    public String uniqueId;

    public EventValidateInfo() {
        super();
        this.uniqueId = "";
        this.eventType = 0;
        this.businessId = "";
        this.frequency = 0;
        this.maxExposeCount = 0;
        this.startTime = 0;
        this.endTime = 0;
        this.reportKey = "";
        this.reportParams = "";
    }

    public EventValidateInfo(String arg4, int arg5, String arg6, long arg7, int arg9, long arg10, long arg12, String arg14, String arg15) {
        super();
        this.uniqueId = "";
        this.eventType = 0;
        this.businessId = "";
        this.frequency = 0;
        this.maxExposeCount = 0;
        this.startTime = 0;
        this.endTime = 0;
        this.reportKey = "";
        this.reportParams = "";
        this.uniqueId = arg4;
        this.eventType = arg5;
        this.businessId = arg6;
        this.frequency = arg7;
        this.maxExposeCount = arg9;
        this.startTime = arg10;
        this.endTime = arg12;
        this.reportKey = arg14;
        this.reportParams = arg15;
    }

    public final void readFrom(c arg5) {
        this.uniqueId = arg5.b(0, true);
        this.eventType = arg5.a(this.eventType, 1, true);
        this.businessId = arg5.b(2, false);
        this.frequency = arg5.a(this.frequency, 3, false);
        this.maxExposeCount = arg5.a(this.maxExposeCount, 4, false);
        this.startTime = arg5.a(this.startTime, 5, false);
        this.endTime = arg5.a(this.endTime, 6, false);
        this.reportKey = arg5.b(7, false);
        this.reportParams = arg5.b(8, false);
    }

    public final void writeTo(d arg4) {
        arg4.a(this.uniqueId, 0);
        arg4.a(this.eventType, 1);
        if(this.businessId != null) {
            arg4.a(this.businessId, 2);
        }

        arg4.a(this.frequency, 3);
        arg4.a(this.maxExposeCount, 4);
        arg4.a(this.startTime, 5);
        arg4.a(this.endTime, 6);
        if(this.reportKey != null) {
            arg4.a(this.reportKey, 7);
        }

        if(this.reportParams != null) {
            arg4.a(this.reportParams, 8);
        }
    }

}


